Summary:        AppStream metadata of Vine Linux packages
Summary(ja):    Vine LinuxパッケージのAppStreamメタデータ
Name:           appstream-data
Version:        7
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL2
Source0:        appstream-main.xml.gz
Source1:        appstream-icons-main.tar.gz
Source2:        appstream-plus.xml.gz
Source3:        appstream-icons-plus.tar.gz

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       appstream
BuildRequires:  libappstream-glib

%description
 This package provides AppStream metadata of Vine Linux packages.


%prep
%setup -n %{name}-%{version} -c -T


%build


%install
%{__rm} -rf %{buildroot}
DESTDIR=%{buildroot} appstream-util install-origin vine-main %{SOURCE0} %{SOURCE1}
DESTDIR=%{buildroot} appstream-util install-origin vine-plus %{SOURCE2} %{SOURCE3}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%dir %{_datadir}/app-info
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/icons/*
%dir %{_datadir}/app-info/icons/*/*
%{_datadir}/app-info/icons/*/*/*png
%dir %{_datadir}/app-info/xmls
%attr(0644,root,root) %{_datadir}/app-info/xmls/*


%changelog
* Sat Aug 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7-1
- initial build.
